Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.security.crypto
Class BinTools

    java.lang.Object
      org.jboss.seam.security.crypto.BinTools

    public class BinTools

extends Object

Copied from Matthias Gartner's PKCS#5 implementation - see http://rtner.de/software/PBKDF2.html

Free auxiliary functions. Copyright (c) 2007 Matthias Gärtner

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

For Details, see http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.

Version:
  1.0
Author:
  Matthias Gärtner

Field Summary
`static String` | `hex`

Constructor Summary
`BinTools()`

Method Summary
`static String` | `bin2hex(byte[] b)` Simple binary-to-hexadecimal conversion.
`static int` | `hex2bin(char c)` Convert hex digit to numerical value.
`static byte[]` | `hex2bin(String s)` Convert hex string to array of bytes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hex

    public static final String hex

See Also:
  Constant Field Values

Constructor Detail

### BinTools

    public BinTools()

Method Detail

### bin2hex

    public static String bin2hex(byte[] b)

  Simple binary-to-hexadecimal conversion.

  Parameters:
    `b` - Input bytes. May be `null`.
  Returns:
    Hexadecimal representation of b. Uppercase A-F, two characters per byte. Empty string on `null` input.

### hex2bin

    public static byte[] hex2bin(String s)

  Convert hex string to array of bytes.

  Parameters:
    `s` - String containing hexadecimal digits. May be `null`. On odd length leading zero will be assumed.
  Returns:
    Array on bytes, non-`null`.
  Throws:
    `IllegalArgumentException` - when string contains non-hex character

### hex2bin

    public static int hex2bin(char c)

  Convert hex digit to numerical value.

  Parameters:
    `c` - 0-9, a-f, A-F allowd.
  Returns:
    0-15
  Throws:
    `IllegalArgumentException` - on non-hex character

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.